Batch panel power

Gets average power data for multiple panels in a single batch request. Units are in watts (SI unit: W).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Notes

  1. Since power is an instantaneous figure that represents the rate of energy consumption in a given time, the power values returned by this endpoint is averaged for given time interval.
    For example, 15-minutely data will return an aggregated average of 15 individual minutely average power values. This will smooth out peaks and dips for 15-minutely data compared to minutely data.
  2. Power endpoint first sorts data by full or partial, and then by the timestamp.
Query Params
ids
array of integers
required
length ≥ 1

An array of panel IDs separated by commas.

ids*
string
enum
required

Interval between each data points. Affects the validity of start_time, end_time query parameters, time resolution and aggregation of results.

For example, given the time range query parameters, start_time=2020-01-01T12:30:00Z&end_time=2020-01-01T13:00:00Z:

  • interval=1m: returns 30 data points at minutely resolution.
  • interval=15m: returns 2 data points at 15-minutesly/quarter-hourly resolution.

The ordering of timestamps is not guaranteed.

Allowed:
date-time
required

Start of the query time range. Value must be in ISO 8601 format.

Note that validity of start_time changes depending on the interval query parameter.

For example:

  • VALID: start_time=2020-01-01T12:34:00Z&interval=1m
  • VALID: start_time=2020-01-01T12:45:00Z&interval=15m
  • VALID: start_time=2020-01-01T13:00:00Z&interval=1h
  • VALID (if building’s timezone is in Pacific Standard Time):
    • start_time=2020-01-01T08:00:00Z&interval=1d (UTC)
    • start_time=2020-01-01T00:00:00+08:00&interval=1d (PST)
  • NOT VALID: start_time=2020-01-01T12:34:00Z&interval=15m
  • NOT VALID: start_time=2020-01-01T12:59:00Z&interval=1h
  • NOT VALID (if building’s timezone is in Pacific Standard Time):
    • start_time=2020-01-01T00:00:00Z&interval=1d
    • start_time=2020-01-01T04:00:00+08:00&interval=1d
date-time
required

End of the query time range. Value must be in ISO 8601 format.

Note that validity of end_time changes depending on the interval query parameter.

For example:

  • VALID: end_time=2020-12-31T12:34:00Z&interval=1m
  • VALID: end_time=2020-12-31T12:45:00Z&interval=15m
  • VALID: end_time=2020-12-31T13:00:00Z&interval=1h
  • VALID (if building’s timezone is in Pacific Standard Time):
    • end_time=2020-12-31T08:00:00Z&interval=1d (UTC)
    • end_time=2020-12-31T00:00:00+08:00&interval=1d (PST)
  • NOT VALID: end_time=2020-12-31T12:34:00Z&interval=15m
  • NOT VALID: end_time=2020-12-31T12:59:00Z&interval=1h
  • NOT VALID (if building’s timezone is in Pacific Standard Time):
    • end_time=2020-12-31T00:00:00Z&interval=1d
    • end_time=2020-12-31T04:00:00+08:00&interval=1d
string | null
enum

Format timestamps in the data. If set to ISO8601 (case-insensitive), the timestamp is returned as a string formatted in ISO 8601 format. If omitted, the timestamp is returned as an integer representing UNIX epoch.

Allowed:
string
Defaults to UTC

When used in conjunction with timestamp_format query parameter that is set to ISO8601 format, specifying the zone ID of IANA Time Zone Database returns the timestamp in the time zone offset.

Setting the timezone when timestamp_format is not specified has no affect on the UNIX epoch timestamp.

📘

Note

This query parameter meant to be a convenience feature that only affects the display format of the timestamps in the result. It has no affect on the building’s timezone.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/csv